Bug 1000246 - python-django-typepadapp contains bundled Flash files
python-django-typepadapp contains bundled Flash files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-django-typepadapp (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luis Bazan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
 
Reported: 2013-08-23 00:15 EDT by T.C. Hollingsworth
Modified: 2014-03-21 18:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-django-typepadapp-1.2.1-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-15 11:13:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:15:10 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:
/usr/lib/python2.7/site-packages/typepadapp/static/soundmanager/soundmanager2.swf
/usr/lib/python2.7/site-packages/typepadapp/static/soundmanager/soundmanager2_flash9.swf


If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 1 Fedora Update System 2014-03-05 14:50:27 EST
python-django-typepadapp-1.2.1-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-django-typepadapp-1.2.1-7.fc20
Comment 2 Fedora Update System 2014-03-05 14:54:52 EST
python-django-typepadapp-1.2.1-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0674/python-django-typepadapp-1.2.1-9.el6
Comment 3 Fedora Update System 2014-03-05 15:03:42 EST
python-django-typepadapp-1.2.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-django-typepadapp-1.2.1-7.fc19
Comment 4 lnie 2014-03-06 02:59:30 EST
That two files are removed in python-django-typepadapp-1.2.1-7.fc20
Comment 5 Fedora Update System 2014-03-06 16:13:06 EST
Package python-django-typepadapp-1.2.1-9.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-django-typepadapp-1.2.1-9.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0674/python-django-typepadapp-1.2.1-9.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-03-15 11:13:52 EDT
python-django-typepadapp-1.2.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-03-15 11:18:27 EDT
python-django-typepadapp-1.2.1-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-03-21 18:33:46 EDT
python-django-typepadapp-1.2.1-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.